diff --git a/TiledCollisionEditor/main.cpp b/TiledCollisionEditor/main.cpp
index ce00090..081b993 100644
--- a/TiledCollisionEditor/main.cpp
+++ b/TiledCollisionEditor/main.cpp
@@ -100,13 +100,22 @@ public:
 			const TilesetObject&obj=tileset.objects.at(selectedObj);
 			const bool EditingQuad=editingPoint<4&&editingQuad!=nullptr;
 
+
+			auto GetSnapPoint=[&](){
+				vf2d worldCoords=view.ScreenToWorld(GetMousePos());
+				if(GetKey(CTRL).bHeld){
+					return vf2d{round(worldCoords.x),round(worldCoords.y)};
+				}
+				return vf2d{round(worldCoords.x/tileset.tilewidth)*tileset.tilewidth,round(worldCoords.y/tileset.tileheight)*tileset.tileheight};
+			};
+
 			if(EditingQuad){
-				(*editingQuad)[editingPoint]=view.ScreenToWorld(GetMousePos());
+				(*editingQuad)[editingPoint]=GetSnapPoint();
 			}
 
 			if(GetMouse(Mouse::LEFT).bPressed){
 				if(EditingQuad){
-					(*editingQuad)[editingPoint]=view.ScreenToWorld(GetMousePos());
+					(*editingQuad)[editingPoint]=GetSnapPoint();
 					editingPoint++;
 				}else{
 					if(obj.collisionTiles.size()==0){
@@ -139,8 +148,8 @@ public:
 			}
 		}
 		
-		/* //Font test.
-		DrawStringDecal({0,0},"the quick brown fox jumps over the lazy dog 1234567890 !@#$%^&*()-=_+[]{}\\;':\",./<>?~`",WHITE,{1.5f,1.5f});
+		 //Font test.
+		/*DrawStringDecal({0,0},"the quick brown fox jumps over the lazy dog 1234567890 !@#$%^&*()-=_+[]{}\\;':\",./<>?~`",WHITE,{1.5f,1.5f});
 		DrawStringDecal({0,18},"THE QUICK BROWN FOX JUMPS OVER THE LAZY DOG 1234567890 !@#$%^&*()-=_+[]{}\\;':\",./<>?~`",WHITE,{1.5f,1.5f});
 		DrawStringPropDecal({0,36},"the quick brown fox jumps over the lazy dog 1234567890 !@#$%^&*()-=_+[]{}\\;':\",./<>?~`",WHITE,{1.5f,1.5f});
 		DrawStringPropDecal({0,54},"THE QUICK BROWN FOX JUMPS OVER THE LAZY DOG 1234567890 !@#$%^&*()-=_+[]{}\\;':\",./<>?~`",WHITE,{1.5f,1.5f});
